using Microsoft.EntityFrameworkCore;
using PARR.Domain.Constants;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.Domain.Entities.Unit
{
    [Table("RegionalEkPtkGroups", Schema = DatabaseSchemas.Unit)]
    [Comment("Таблица - региональные группы ПТК")]
    public class UnitRegionalEkPtkGroup
    {
        [Key]
        public Guid FieldValueId { get; set; }

        [ForeignKey(nameof(FieldValueId))]
        public UnitFieldValue? FieldValue { get; set; }
    }
}
